Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.transform
Interface Stylesheet

All Known Subinterfaces:
  CauchoStylesheet

public interface Stylesheet

Represents a compiled stylesheet. An application will create a specific Transformer to do any work. A Stylesheet is created with a StylesheetFactory. ``

     Stylesheet style = factory.newStylesheet("mystyle.xsl");

     StreamTransformer transformer = style.newStreamTransformer();

     WriteStream os = Vfs.openWrite("test.html");
     transformer.transform("test.xml", os);
     os.close();

Since:
  Resin 1.2

Method Summary
`OutputFormat` | `getOutputFormat()` Returns the values specified in the xsl:output directives.
`java.lang.Object` | `getProperty(java.lang.String name)` Returns an implementation-specific stylesheet property.
`NodeTransformer` | `newNodeTransformer()` Creates a transformer to create DOM nodes.
`SAXTransformer` | `newSAXTransformer()` Creates a transformer to create SAX events.
`StreamTransformer` | `newStreamTransformer()` Creates a transformer to write to an output stream.
`StringTransformer` | `newStringTransformer()` Creates a transformer to create strings.

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Returns an implementation-specific stylesheet property.

### getOutputFormat

    public OutputFormat getOutputFormat()

  Returns the values specified in the xsl:output directives.

### newStreamTransformer

    public StreamTransformer newStreamTransformer()

  Creates a transformer to write to an output stream.

### newNodeTransformer

    public NodeTransformer newNodeTransformer()

  Creates a transformer to create DOM nodes.

### newStringTransformer

    public StringTransformer newStringTransformer()

  Creates a transformer to create strings.

### newSAXTransformer

    public SAXTransformer newSAXTransformer()

  Creates a transformer to create SAX events.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD